import { getSwiperList } from '@/api/Forestage/index'
export default {
  data() {
    return {
      swiperData: {},
    }
  },
  created() {
    this.getSwiperList()
    this.$eventBus.$on('langChange', (langType, routePath) => {
      if (routePath === '/Home') {
        this.swiperData = this.$langFilter(this.swiperData)
      }
    })
  },
  methods: {
    getSwiperList() {
      getSwiperList().then(res => {
        this.swiperData = res.data
      })
    }
  },
}